/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:48
 * Description:
 */
package com.emr.service.ipml;

import com.emr.dao.Emr_PictureMapper;
import com.emr.entity.Emr_Picture;
import com.emr.service.Emr_PictureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class Emr_PictureServiceImpl implements Emr_PictureService {

    @Autowired
    private Emr_PictureMapper emrPictureMapper;

    @Override
    public Emr_Picture selectByid(String id) {
        return emrPictureMapper.selectByid(id);
    }

    @Override
    public int insertSel(Emr_Picture record) {
        return emrPictureMapper.insertSel(record);
    }

    @Override
    public int updateCloByIdOrFlay(Emr_Picture record) {
        return emrPictureMapper.updateCloByIdOrFlay(record);
    }

    @Override
    public List<Emr_Picture> selectByClo(Emr_Picture record) {
        return emrPictureMapper.selectByClo(record);
    }

    @Override
    public int deleteById(String id) {
        return emrPictureMapper.deleteById(id);
    }


}
 

